summaryrefslogtreecommitdiff
path: root/git.zsh
diff options
context:
space:
mode:
authorChristopher Sexton <csexton@gmail.com>2009-09-22 14:48:55 -0400
committerChristopher Sexton <csexton@gmail.com>2009-09-22 14:48:55 -0400
commit9f0df188f4dd820d2f72f8095619709e62808ff5 (patch)
treecedab24312b1a20c298e940eff58bf6fda5ad6b6 /git.zsh
parenta9f21b381cd855bc2fe79cb7b8f472d9f41f6bfa (diff)
downloadzsh-9f0df188f4dd820d2f72f8095619709e62808ff5.tar.gz
zsh-9f0df188f4dd820d2f72f8095619709e62808ff5.tar.bz2
zsh-9f0df188f4dd820d2f72f8095619709e62808ff5.zip
Git 1.6 support
`git-symbolic-ref` needs to be `git symbolic-ref`
Diffstat (limited to 'git.zsh')
-rw-r--r--git.zsh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git.zsh b/git.zsh
index bcf3ed77b..9409c92db 100644
--- a/git.zsh
+++ b/git.zsh
@@ -11,7 +11,7 @@ ZSH_THEME_GIT_PROMPT_CLEAN=""
# get the name of the branch we are on
function git_prompt_info() {
- ref=$(git-symbolic-ref HEAD 2> /dev/null) || return
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
echo "$ZSH_THEME_GIT_PROMPT_PREFIX${ref#refs/heads/}$(parse_git_dirty)$ZSH_THEME_GIT_PROMPT_SUFFIX"
}